<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$rand = rand(100,999); 
$id=(int)$id;

echo'<img src="../images/img/partners.gif" alt=""> <b>Комментарии к новостям</b><br><br>';

##########################################################################
##                          Главная страница
##########################################################################
if(!isset($action)){

if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}
echo '<a href="komm.php?id='.$id.'&amp;rand='.$rand.'&amp;'.SID.'"> Обновить</a><br>';

$newslines=file(BASEDIR."local/news.dat"); 
$newscount=count($newslines);
for ($b=0; $b<$newscount; $b++) {
$dt=explode("|",$newslines[$b]); if ($dt[5]==$id) {$linn="ok";}}


if($linn=="ok"){
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {

if($config_themes!="wml"){	
echo'<hr><form action="addkomm.php?id='.$id.'&amp;'.SID.'" method="post"><b>Сообщение:</b><br>';
echo'<textarea cols="25" rows="3" name="msg"></textarea><br>';

if($config_translit=="1"){
echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}

echo'<input type="submit" value="Написать" /></form><hr>';

}else{

echo'<br>--------------------<br>Сообщение:<br>';
echo'<input name="msg"/><br>';

if($config_translit=="1"){
echo'Транслит: <select name="trans"><option value="0">Нет</option>';
echo'<option value="y">Да</option>';
echo'</select><br>';}

echo'<anchor>Написать';
echo'<go href="addkomm.php?id='.$id.'&amp;'.SID.'" method="post">';
echo'<postfield name="msg" value="$(msg)"/>';
echo'<postfield name="trans" value="$(trans)"/>';
echo'</go></anchor><br>--------------------<br>';
}

}else{
echo '<br>Вы не авторизованы, чтобы добавить сообщение необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

$file = file(BASEDIR."local/datakomm/$id.dat");
$file = array_reverse($file);
$total = count($file);    

if($total<1){echo '<br><img src="../images/img/reload.gif" alt=""> <b>Комментариев еще нет!</b><br>';}

$start = (int)$_GET['start'];
if($start < 0 || $start > $total){$start = 0;}
if ($total < $start + $config_postnews){ $end = $total; }
else {$end = $start + $config_postnews; }
for ($i = $start; $i < $end; $i++){

$data = explode("|",$file[$i]);
$num=$total-$i-1;

//------------------------------------------------------------------------------//


$ava = file(BASEDIR."local/profil/$data[4].prof"); 
$avv = explode(":||:",$ava[0]);

echo'<div class=b>';
if(!empty($udata[45])){
if($avv[43]!="" && $avv[43]!="noavatar.gif"){
echo'<img src="../'.$avv[43].'" alt=""> ';}else{
echo'<img src="../images/avators/noavatar.gif" alt=""> '; }
	
echo'<b><a href="../pages/anketa.php?uz='.$data[4].'&amp;'.SID.'"> '.nickname($data[4]).' </a></b> '.user_online($data[4]); }
else{echo'<img src="../images/img/edit.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[4].'&amp;'.SID.'"> '.nickname($data[4]).' </a></b> '.user_online($data[4]);}		
	
echo'<small> ('.date_fixed($data[3]).')</small>';

//------------------------------Удаление для модеров---------------------------//
if($provpar==md5($_SESSION['par']) && $provlog==$_SESSION['log']) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
echo ' <a href="komm.php?action=del&amp;num='.$num.'&amp;start='.$start.'&amp;id='.$id.'&amp;'.SID.'"><font color="#FF0000">[Del]</font></a>';	
}}

echo '</div><div>'.bb_code($data[1]).'<br>';
echo '<small><font color="#CC00CC">('.$data[0].')</font></small></div>';

}
    
echo'<hr>'; 
if ($start != 0) {echo '<a href="komm.php?start='.($start - $config_postnews).'&amp;id='.$id.'&amp;'.SID.'">&lt;-Назад </a>';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_postnews) {echo '<a href="komm.php?start='.($start + $config_postnews).'&amp;id='.$id.'&amp;'.SID.'"> Далее-&gt;</a>';}else{echo'Далее-&gt;';}


//////////////////////////// постраничный вывод ////////////////////////
$ba=ceil($total/$config_postnews);
$ba2=$ba*$config_postnews-$config_postnews;
echo '<br>';
echo'<hr>Страницы:';
$asd=$start-($config_postnews*3);
$asd2=$start+($config_postnews*4);

if($asd<$total && $asd>0){echo ' <a href="komm.php?start=0&amp;id='.$id.'&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_postnews);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
               }
                else {
echo ' <a href="komm.php?start='.$i.'&amp;id='.$id.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_postnews;}
if($asd2<$total){echo ' ... <a href="komm.php?start='.$ba2.'&amp;id='.$id.'&amp;'.SID.'">'.$ba.'</a>';}


}else{header ("Location: index.php?".SID); exit;}

echo '<br><br>';
if($config_themes!="wml"){echo '<a href="#up"><img src="../images/img/ups.gif" alt=""></a> ';}
echo '<a href="../pages/pravila.php?'.SID.'">Правила</a> | ';
echo '<a href="../pages/smiles.php?'.SID.'">Смайлы</a> | ';
echo '<a href="../pages/tegi.php?'.SID.'">Теги</a><br>';
}

##########################################################################
##                        Удаление комментариев
##########################################################################
if($action=="del"){
if($provpar==md5($_SESSION['par']) && $provlog==$_SESSION['log']) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
if ($num!="" && $id!=""){
$file=file(BASEDIR."local/datakomm/$id.dat");	
$fp=fopen(BASEDIR."local/datakomm/$id.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$num) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

header("location: komm.php?id=$id&start=$start&isset=delkomm&".SID); exit;
}}}
header("location: komm.php?id=$id&start=$start&".SID); exit;
}


echo'<br><img src="../images/img/back.gif" alt=""> <a href="index.php?'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>
